@import url("https://fonts.googleapis.com/css?family=Raleway:400,700");

@import "buttons";
@import "print";
@import "octicons";

$primary-color: #318837;


.navbar {
    border-radius: 0;
    border: 0 solid transparent;
    margin-bottom: 0;
	.navbar-brand {
		padding: 5px 0;

		img {
			display: inline !important;
			height: 100%;
		}
	}
}

.breadcrumb, .alert {
	margin-bottom: 0;
}

.footer {
    margin-bottom: 10px;
	margin-top: 20px;
}

.pager li>a, .pager li>span {
    border-radius: 0;
}

table.translation-table {
	border-bottom: 2px solid #dddddd;

	tbody {
		td {
			border-right: 1px solid #dddddd;
			padding: 0;
			position: relative;
			&:last-child {
				border-right: 0;
			}

			&.translation-action-cell {
                padding: 6px;
				width: 30px;
			}

			input, textarea {
				border: 0;
				box-shadow: none;
				display: block;
				margin: 0;
				outline: none;
				padding: 8px;
				resize: none;
				width: 100%;
			}

            .btn-group {
                float: right;

                button {
                    background-color: transparent !important;
                    box-shadow: none !important;
                    padding: 4px 2px;
                    vertical-align: middle;
                    b.caret {
                        display: none;
                    }
                }
            }
		}

		&#translations-rows {
			tr {
				border-bottom: 1px solid #eeeeee;
				td {
					input, input:active, textarea, textarea:active {
						background-color: inherit;
                        padding-right: 20px;
					}

                    .translation-to-translate-container {
                        bottom: 0;
                        height: 100%;
                        line-height: 50%;
                        position: absolute;
                        padding-top: 2px;
                        right: 0;
                        width: 20px;

                        .glyphicon {
                            color: #eee;
                            cursor: pointer;

                            &:hover {
                                color: #999;
                            }

                            &.active {
                                color: #333;
                            }

                            input[type="checkbox"] {
                                display: none;
                            }
                        }
                    }
				}

                &.success, &.danger {
                    td {
                        .translation-to-translate-container {
                            .glyphicon {
                                color: #fff;

                                &:hover {
                                    color: #999;
                                }

                                &.active {
                                    color: #333;
                                }
                            }
                        }
                    }
                }
			}
		}
	}

	&.diff-translation-table {
		tbody {
			tr {
				td {
					padding: 8px;
				}
			}
		}
	}

    &.copy-translation-table {
        tbody {
            tr {
                td {
                    padding: 8px;
                }
            }
        }
    }
}

table.diff-translation-table {
	table-layout: fixed;

	td {
		&.action-changed {
			strike {
				display: inline-block;
				margin-right: 5px;
			}
		}

		&.action-none {
			background-color: #eee;
		}
	}
}

.action-buttons {
	margin-bottom: 10px;
}

.theme-sandstone {
    .navbar-top {
        background-color: #3e3f3a;
    }
}

.theme-journal, .theme-sandstone {
    table {
        tbody {
            tr {
                td {
                    vertical-align: middle;
                }
            }
        }
    }
}

.translation-history-container {

    .translation-history-item {
        padding: 10px 0;
        position: relative;

        .translation-history-data {
            font-size: 1.3em;
            padding: 10px 10px 10px 20px;

            .translation-history-info {
                border-top: 1px solid #fff;
                font-size: 0.7em;
            }

            &::before {
                content: '';
                left: 0;
                position: absolute;
                top: 50%;
            }
        }

        &:after {
            content: ' ';
            clear: both;
            display: block;
        }
    }
}

/* Small devices (tablets, 768px and up) */
@media (max-width: 768px) {
    .text-left-xs {
        text-align: left;
    }
    .text-center-xs {
        text-align: center;
    }
    .text-right-xs {
        text-align: right;
    }
    .text-justify-xs {
        text-align: justify;
    }

	.words-count-description {
		font-size: 1.1em;
	}
}

/* Small devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .text-left-sm {
        text-align: left;
    }
    .text-center-sm {
        text-align: center;
    }
    .text-right-sm {
        text-align: right;
    }
    .text-justify-sm {
        text-align: justify;
    }
}

/* Medium devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .text-left-md {
        text-align: left;
    }
    .text-center-md {
        text-align: center;
    }
    .text-right-md {
        text-align: right;
    }
    .text-justify-md {
        text-align: justify;
    }
}

/* Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .text-left-lg {
        text-align: left;
    }
    .text-center-lg {
        text-align: center;
    }
    .text-right-lg {
        text-align: right;
    }
    .text-justify-lg {
        text-align: justify;
    }
}
